<template>
    <div :class="openShowModal ? 'openCatalog menu menu_xl' : 'defaultCatalog menu menu_xl'">
        <div class="modal-title">
            <h5>{{ $t('Add') }}</h5>
            <button uk-icon="close" @click="$emit('openModal')" />
        </div>

        <form @submit.prevent="onSubmit">
            <div class="modal-body">
                <!-- <div class="uk-margin">
                    <label for="form-stacked-text">{{ $t('Login') }}</label>
                    <div class="uk-form-controls">
                        <input class="form-input" id="form-stacked-text" type="text">
                    </div>
                </div> -->

                <div class="uk-margin">
                    <label class="uk-form-label" for="form-stacked-text">{{ $t('Phone Number') }}</label>
                    <div class="uk-form-controls">
                        <div class="form-input flex">
                            +998
                            <input class="bg-transparent border-none !outline-none p-0" id="form-stacked-text" type="text"
                                v-maska data-maska="## ###-##-##">
                        </div>
                    </div>
                </div>

                <div class="uk-margin">
                    <label for="form-stacked-text">{{ $t('social_network_name') }}</label>
                    <div class="uk-form-controls">

                        <v-select id="status" :options="books" label="title" class="!rounded-md mt-1"
                            :placeholder="$t('social_network_name')" />
                    </div>
                </div>

                <div class="uk-margin">
                    <label for="form-stacked-text">{{ $t('link') }}</label>
                    <div class="uk-form-controls">
                        <input class="form-input" id="form-stacked-text" type="text">
                    </div>
                </div>
            </div>

            <div class="modal-footer">
                <button @click="$emit('openModal')" class="btn-danger">
                    Отменить
                </button>
                <button type="submit" class="btn-primary" @click="submitForm">
                    Сохранить
                </button>
            </div>
        </form>
    </div>
    <div :class="openShowModal ? 'black__shadow' : ''" @click="$emit('openModal')" />
</template>

<script setup lang="ts">
import { ref, watch, computed, reactive, Ref } from "vue";
import '@/assets/modal.css'
import useVuelidate, { Validation } from "@vuelidate/core";
import { required, sameAs, helpers, minLength } from '@vuelidate/validators'

// const password = reactive('')
// const confirmPassword = reactive('')

const formData = reactive({
    password: "",
    confirmPassword: "",

});


// const rules = {
//     password: { required },
//     confirmPassword: { sameAs: sameAs(password) }
// }


const rules = computed(() => {
    return {
        password: {
            required: helpers.withMessage("required", required),
            minLength: helpers.withMessage("password_required_4", minLength(4)),
        },
        confirmPassword: {
            required: helpers.withMessage("required", required),
            sameAs: helpers.withMessage(
                "password_dont_match",
                sameAs(formData.password)
            ),
        },
    };
});

const validate: Ref<Validation> = useVuelidate(rules, formData)


const submitForm = async () => {
    const result = await validate.value.$validate()
    console.log(result);

    // if (validate.value.$error) {
    //     alert('Form has errors!')
    //     return
    // }

    // Submit the form
    // ...
}

const props = defineProps({
    openShowModal: {
        type: Boolean,
        default: () => false
    },
})
const emit = defineEmits(['refresh', 'openModal'])

const product = ref('')

const onSubmit = async () => {

}

watch(() => props.openShowModal, function () {
    if (props.openShowModal || props.modalValue?.id) {

        // product.value = JSON.parse(JSON.stringify(props.modalValue))
    } else {
        product.value = ''
    }
},
    { deep: true }
);
</script>

<style>
/* .menu_xl {
    width: 800px !important;
} */
</style>


